Go to the latest version of this document.

# ``twisted`.`python`.`lockfile``

module documentation
(source)

Filesystem-based interprocess mutex.

Class | `FilesystemLock` | A mutex.
Function | `isLocked` | Determine if the lock of the given name is held or not.
Function | `unique` | Undocumented
Variable | `ERROR_ACCESS_DENIED` | Undocumented
Variable | `ERROR_INVALID_PARAMETER` | Undocumented
Variable | `_windows` | Undocumented

def isLocked(name): (source)

Determine if the lock of the given name is held or not.

Parameters
name:`str` | The filesystem path to the lock to test

Returns
`bool` | True if the lock is held, False otherwise.

def unique(): (source)

Undocumented

ERROR_ACCESS_DENIED: `int` = (source)

Undocumented

ERROR_INVALID_PARAMETER: `int` = (source)

Undocumented

_windows: `bool` = (source)

Undocumented